myth fails to start with 0.26.0-83b1 (Includes work-around)

Help with booting MiniMyth

Moderator: Pablo

Post Reply
cheesy
Member
Posts: 16
Joined: Tue Apr 24, 2012 3:24 am

myth fails to start with 0.26.0-83b1 (Includes work-around)

Post by cheesy » Mon May 13, 2013 1:57 am

I just upgraded my backend to 0.26 and had a very sad afternoon when minimyth appeared to be totally broken, apparently failing to start X. After some serious poking around, I finally figured out that the problem was caused by this seemingly innocuous line in /var/log/messages:

Code: Select all

May 12 20:41:25 (none) local0.info mythwelcome: Unknown log level: warn
It appears that minimyth tries to start mythfrontend or mythwelcome with "--loglevel=warn". Apparently that's unsupported in 0.26 and the programs just exit instead. The proper fix is for pablo to use "--loglevel=warning" instead, but in the meantime you can work-around this with:

Code: Select all

MM_DEBUG='yes'
in your minimyth.conf.

Of course, while I jumped on the -83b1 train (because of the problems with the nVidia driver in -82), it turns out that 0.26.0-82 actually starts perfectly fine. Well shucks.

Post Reply